Update File
curl --request PATCH \
--url https://api.cozmox.ai/file/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.cozmox.ai/file/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.cozmox.ai/file/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"object": "file",
"status": "processing",
"name": "<string>",
"originalName": "<string>",
"bytes": 123,
"purpose": "<string>",
"mimetype": "<string>",
"key": "<string>",
"path": "<string>",
"bucket": "<string>",
"url": "<string>",
"parsedTextUrl": "<string>",
"parsedTextBytes": 123,
"metadata": {}
}Files
Update File
PATCH
/
file
/
{id}
Update File
Authorizations
Retrieve your API Key from Dashboard [blocked].
Path Parameters
Body
application/json
This is the name of the file. This is just for your own reference.
Required string length:
1 - 40Response
200 - application/json
This is the unique identifier for the file.
This is the unique identifier for the org that this file belongs to.
This is the ISO 8601 date-time string of when the file was created.
This is the ISO 8601 date-time string of when the file was last updated.
Available options:
file Available options:
processing, done, failed This is the name of the file. This is just for your own reference.
Maximum string length:
40